Loading...
Searching...
No Matches
Opm::data::CurrentControl Struct Reference

## Public Member Functions

bool | operator== (const CurrentControl &rhs) const
void | init_json (Json::JsonObject &json_data) const
template<class MessageBufferType>
void | write (MessageBufferType &buffer) const
template<class MessageBufferType>
void | read (MessageBufferType &buffer)
template<class Serializer>
void | serializeOp (Serializer &serializer)

## Static Public Member Functions

static CurrentControl | serializationTestObject ()

## Public Attributes

bool | isProducer {true}
::Opm::WellProducerCMode | prod
::Opm::WellInjectorCMode | inj

## Member Data Documentation

## inj

::Opm::WellInjectorCMode Opm::data::CurrentControl::inj

Initial value:

## prod

::Opm::WellProducerCMode Opm::data::CurrentControl::prod

Initial value:

The documentation for this struct was generated from the following file:

- opm/output/data/Wells.hpp